## GOFont

GOFont

## Functions

char * | go_font_as_str ()
void | go_font_cache_register ()
void | go_font_cache_unregister ()
gboolean | go_font_eq ()
void | go_font_metrics_free ()
GOFontMetrics * | go_font_metrics_new ()
GOFont const * | go_font_new_by_desc ()
GOFont const * | go_font_new_by_index ()
GOFont const * | go_font_new_by_name ()
GOFont const * | go_font_ref ()
void | go_font_unref ()
GSList * | go_fonts_list_families ()
GSList * | go_fonts_list_sizes ()

## Object Hierarchy

        GBoxed
        ├── GOFont
        ╰── GOFontMetrics

## Description

## Functions

### go_font_as_str ()

    char *
    go_font_as_str (GOFont const *font);

### go_font_cache_register ()

    void
    go_font_cache_register (GClosure *callback);

### go_font_cache_unregister ()

    void
    go_font_cache_unregister (GClosure *callback);

### go_font_eq ()

    gboolean
    go_font_eq (GOFont const *a,
                GOFont const *b);

### go_font_metrics_free ()

    void
    go_font_metrics_free (GOFontMetrics *metrics);

### go_font_metrics_new ()

    GOFontMetrics *
    go_font_metrics_new (PangoContext *context,
                         GOFont const *font);

### go_font_new_by_desc ()

    GOFont const *
    go_font_new_by_desc (PangoFontDescription *desc);

#### Parameters

desc | PangoFontDescription. | [transfer full]

#### Returns

a font that matches `desc` .

[transfer full]

### go_font_new_by_index ()

    GOFont const *
    go_font_new_by_index (unsigned  i);

### go_font_new_by_name ()

    GOFont const *
    go_font_new_by_name (char const *str);

### go_font_ref ()

    GOFont const *
    go_font_ref (GOFont const *font);

### go_font_unref ()

    void
    go_font_unref (GOFont const *font);

### go_fonts_list_families ()

    GSList *
    go_fonts_list_families (PangoContext *context);

#### Parameters

context | PangoContext |

#### Returns

a sorted list of strings of font family names.

[element-type utf8][transfer full]

### go_fonts_list_sizes ()

    GSList *
    go_fonts_list_sizes (void);

#### Returns

a sorted list of font sizes in Pango units.

[element-type guint][transfer container]